Workspace Identity Detail
The details of a directly or indirectly assigned principal's details in a workspace.
WorkspaceIdentityDetail object
The details of a directly or indirectly assigned principal's details in a workspace.
- namestringIDImmutable
The resource name of the workspace identity detail. Format: principals/{principal_id}/workspace-identity-detail
- principal_idint64Output only
The internal ID of the principal (user/sp/group) in Databricks.
- principal_typestringOutput only
The type of the principal (user/service principal/group).
USERSERVICE_PRINCIPALGROUP
- workspace_identity_statusstring
The activity status of an identity in a Databricks workspace.
ACTIVEINACTIVE
- assignment_typestringOutput only
The type of assignment the principal has to the workspace (direct or indirect).
DIRECTINDIRECT
Get workspace identity details for a principal GA
GET
Returns the identity details for a principal in a workspace.
API scopes: identity
Parameters
- namestringRequiredpath
The resource name of the workspace identity detail. Format: principals/{principal_id}/workspace-identity-detail
Response
Returns the WorkspaceIdentityDetail object.
Update workspace identity details for a principal GA
PATCH
1 more path
PATCH
Updates a workspace identity detail for a principal.
API scopes: identity
Parameters
- namestringRequiredIDImmutablepath
The resource name of the workspace identity detail. Format: principals/{principal_id}/workspace-identity-detail
- update_maskstringRequiredquery
Required. The list of fields to update.
Request body
Required. Workspace identity detail to be updated in Databricks.
- workspace_identity_statusstring
The activity status of an identity in a Databricks workspace.
ACTIVEINACTIVE
Response
Returns the WorkspaceIdentityDetail object.